<?php

/**
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly

if( !class_exists( 'daily_diary_admin_notice' ) ) {

	class daily_diary_admin_notice {
	
		/**
		 * Constructor
		 */
		 
		public function __construct( $fields = array() ) {

			if ( 
				!get_option( 'daily-diary-dismissed-notice') &&
				version_compare( PHP_VERSION, DAILY_DIARY_MIN_PHP_VERSION, '>=' )
			) {

				add_action( 'admin_notices', array(&$this, 'admin_notice') );
				add_action( 'admin_head', array( $this, 'dismiss' ) );
				add_action( 'admin_init', array(&$this, 'add_script') ,11);

            }

		}
        
		 /**
		 * Loads the notice style
		 */

		public function add_script() {

			global $wp_version;

			$file_dir = get_template_directory_uri() . '/core/admin/assets/';
			wp_enqueue_style ( 'daily-diary-notice', $file_dir.'css/notice.css' );

		}
        
        
        /**
		 * Dismiss notice.
		 */
		
		public function dismiss() {

			if ( isset( $_GET['daily-diary-dismiss'] ) && check_admin_referer( 'daily-diary-dismiss-action' ) ) {
		
				update_option( 'daily-diary-dismissed-notice', intval($_GET['daily-diary-dismiss']) );
				remove_action( 'admin_notices', array(&$this, 'admin_notice') );
				
			} 
		
		}

		/**
		 * Admin notice.
		 */
		 
		public function admin_notice() {
			
		?>
			
            <div class="notice notice-warning is-dismissible">
                
            	<p>
            
            		<strong>

                        <?php esc_html_e( 'Unlock all premium features of Daily Diary theme like...', 'daily-diary' );  ?>

                    </strong>
                
                </p>

                <p class="notice-coupon-message">

					<span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( '600+ Google Fonts', 'daily-diary' ); ?><br/>
					<span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Custom colors', 'daily-diary' ); ?><br/>
					<span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Portfolio section', 'daily-diary' ); ?><br/>
					<span class="dashicon dashicons dashicons-yes-alt" size="10"></span><?php esc_html_e( 'Unlimited widget areas', 'daily-diary' ); ?><br/>
                
                </p>

				<p>

					<a href="<?php echo esc_url(admin_url( 'themes.php?page=daily-diary-welcome-page&section=free_pro' )); ?>" class="button"><?php esc_html_e( 'Free vs Pro', 'daily-diary' ); ?></a>
					<a target="_blank" href="<?php echo esc_url( 'https://www.themeinprogress.com/daily-diary-simple-and-modern-wordpress-theme/?ref=2&campaign=daily-diary-notice' ); ?>" class="button button-primary"><?php esc_html_e( 'Buy now', 'daily-diary' ); ?></a>
                
            	</p>

            	<p>

                    <?php

                        printf( 
                            '<a href="%1$s" class="dismiss-notice">' . esc_html__( 'Dismiss this notice', 'daily-diary' ) . '</a>', 
                            esc_url( wp_nonce_url( add_query_arg( 'daily-diary-dismiss', '1' ), 'daily-diary-dismiss-action'))
                        );

                    ?>
                    
            	</p>
                    
            </div>
		
		<?php
		
		}

	}

}

new daily_diary_admin_notice();

?>
